Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swtbot.swt.finder.resolvers
Class ExpandItemResolver

    java.lang.Object
      org.eclipse.swtbot.swt.finder.resolvers.ExpandItemResolver

All Implemented Interfaces:
  IChildrenResolver, IParentResolver, IResolvable

    public class ExpandItemResolver

extends Object
implements IChildrenResolver, IParentResolver

Resolves `ExpandItem`s.

Author:
  Ketan Padegaonkar <KetanPadegaonkar [at] gmail [dot] com>

Constructor Summary
`ExpandItemResolver()`

Method Summary
`boolean` | `canResolve(Widget w)`
`List` | `getChildren(Widget w)`
`Widget` | `getParent(Widget w)`
`Class[]` | `getResolvableClasses()`
`boolean` | `hasChildren(Widget w)`
`boolean` | `hasParent(Widget w)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpandItemResolver

    public ExpandItemResolver()

Method Detail

### getChildren

    public List getChildren(Widget w)

  Specified by:
    `getChildren` in interface `IChildrenResolver`
  Parameters:
    `w` - the widget
  Returns:
    the children of the specified widget

### hasChildren

    public boolean hasChildren(Widget w)

  Specified by:
    `hasChildren` in interface `IChildrenResolver`
  Parameters:
    `w` - the widget
  Returns:
    `true` if the resolver can provide children of the specified widget, `false` otherwise.

### canResolve

    public boolean canResolve(Widget w)

  Specified by:
    `canResolve` in interface `IResolvable`
  Parameters:
    `w` - the widget
  Returns:
    `true` if this widget can resolve the widget, `false` otherwise

### getResolvableClasses

    public Class[] getResolvableClasses()

  Specified by:
    `getResolvableClasses` in interface `IResolvable`
  Returns:
    the list of classes that this resolver can resolve

### getParent

    public Widget getParent(Widget w)

  Specified by:
    `getParent` in interface `IParentResolver`
  Parameters:
    `w` - the widget
  Returns:
    the children of the specified widget

### hasParent

    public boolean hasParent(Widget w)

  Specified by:
    `hasParent` in interface `IParentResolver`
  Parameters:
    `w` - the widget
  Returns:
    `true` if the resolver can provide children of the specified widget, `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD